Subject: Re: bug#46212: ci.guix.gnu.org narinfos with excessive NarSize

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 29 Mar 2021 09:45:50 +0200

Hey,

> Could it be that the bug was fixed in the meantime?  Or that this one
> was, say, built directly via Guix whereas the other one was built
> through Cuirass?  Mystery!

That's strange. There's nothing really special about how Cuirass builds
its stuff. It's a plain "build-derivations" call in the "cuirass
remote-worker" process. This process only builds stuff and report it
using (simple-zmq).

A memory corruption in that module also seems unlikely, as there are
almost 30 instances of this process running nicely for days.

Thanks,

Mathieu